> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Add products to a product family

> Add products to a product family

<sup>Required permissions: `product-family:write`</sup>



## OpenAPI

````yaml put /product-families/{id}/products
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /product-families/{id}/products:
    parameters: []
    put:
      tags:
        - ProductFamily
      summary: Add products to a product family
      description: |-
        Add products to a product family

        <sup>Required permissions: `product-family:write`</sup>
      operationId: addProductFamilyProducts
      parameters:
        - name: id
          in: path
          description: ProductFamily identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        description: The updated ProductFamily resource
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ProductFamily.AddProductsToProductFamily-ProductFamilyWrite
          text/html:
            schema:
              $ref: >-
                #/components/schemas/ProductFamily.AddProductsToProductFamily-ProductFamilyWrite
        required: true
      responses:
        '204':
          description: ProductFamily resource updated
          content:
            application/json:
              schema: {}
            text/html:
              schema: {}
          links: {}
        '400':
          description: Invalid input
        '404':
          description: Resource not found
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - product-family:write
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X PUT \
             /product-families/{id}/products \
             --header "Content-Type: application/json" \
             --header "Authorization: Bearer <token>" \
             --data '{
                "products": [
                    ""
                ]
            }'
components:
  schemas:
    ProductFamily.AddProductsToProductFamily-ProductFamilyWrite:
      type: object
      description: ''
      deprecated: false
      properties:
        products:
          example:
            - ad8f3b9c-1b1a-4b0a-8b0a-0b0b0b0b0b0b
          type: array
          items:
            type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````